#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <libgyim.h>
#include "osszeg.h"

static struct flagstr {
	unsigned int html:1;
	unsigned int wiki:1;
	unsigned int nosort:1;
	} flag;


static int egyfile(FILE *fp)
{
char sor[500],*mut;
struct keplstr eredm;
int ret=0;

while(fgets(sor,sizeof(sor),fp))
	{
	vegvag(sor,"\n");
	mut = strrchr(sor,'#');
	mut = mut == NULL? sor: mut+1;	// az utolso # utani karakteren allunk
	okeplbe(mut,mut);		// | es = elhagyasa
	htmlkonv(mut);			// <sub> elhagyasa
	if(okepl2(mut,&eredm))
		{
		fputs(sor,stderr);
		fputc('\n',stderr);
		ret = 2;
		}
	else	{
		if(flag.nosort == 0)
			keplrend2(&eredm);
		if(mut > sor)	// van-e #
			fwrite(sor,mut-sor,1,stdout);
		okeplkiir(&eredm,flag.html | flag.wiki<<1);
		putchar('\n');
		}
	}
return ret;
}


int main(int argc, char *argv[])
{
static const char kapcs[] = "hwn";
int c,ret=0;
FILE *fp;

flag.html = flag.wiki = flag.nosort = 0;
while( (c=getopt(argc,argv,kapcs)) >= 0)
	{
	switch(c)
		{
		case 'h': flag.html = 1;
			break;
		case 'w': flag.wiki = 1;
			break;
		case 'n': flag.nosort = 1;
			break;
		}
	}
if(flag.html && flag.wiki)
	{
	fputs("Hivas: kemhill [ -h | -w ] [ osszegkeplet_file ]",stderr);
	return 1;
	}

			// Most jon a lenyeg
if(optind >= argc)
	{
	ret = egyfile(stdin);
	}
else	{
	for(c=optind; c < argc; c++)
		{
		fp = filenyit(argv[c],"r");
		ret |= egyfile(fp);
		}
	}
return ret;
}
