#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
#include <libgyim.h>
#include <wikisabl.h>
#include "osszeg.h"

char *szoveg;		// a teljes szoveg kezdocime
FILE *fpsmiles = NULL;	// smiles file

/* Parameterek
	az input file neve
	a szocikk cime, a kimenet eleje. Ha elmarad, az input file nevevel lesz azonos
	a smiles-file neve. Elmaradhat. Alakja pl.: gamma-valerolakton|CC1CCC(=O)O1

Kimenet:
	stdout: szocikk_cim|vegyuletnev|vegyuletnev_elotag|osszegkeplet
		az osszegkeplet elmaradhat az ot megelozo |-sal egyutt
		Pl.:	ftalsav|Ftalsav|
			gamma-valerolakton|Valerolakton|''gamma''-|C=5|H=8|O=2
		Rendezni ket kulcsra, a 2. es 3. mezore kell. A vegyulet neve a 3. es 2. mezo konkatenacioja.
	stderr: hibak
*/


int main(int argc, char *argv[])
{
char *txt;
static const char kapcs[] = "h";
int c;

while( (c=getopt(argc,argv,kapcs)) >= 0)
        {
        switch(c)
                {
		case 'h': puts("Hivas: kemia szocikkfile [ szocikkcim ] [ smiles-file ]");
			return 1;
		default: fprintf(stderr,"Hibas kapcsolo: %c\n",c);
			return 1;
                }
        }
szoveg  = txt = filemem(optind < argc && argv[optind][0]? argv[optind]: NULL);		// input file
szocikk = optind+1 < argc? argv[optind+1]: "";						// szocikk cime
fpsmiles = optind+2 < argc && argv[optind+2]? filenyit(argv[optind+2],"a"): NULL;	// smiles
fprintf(stderr,"%s\n",szocikk); fflush(stderr);	// kiirjuk a szocikk cimet. A fflush a segmentation fault kideritesere kell.
ujcikk();
while((txt=sablon(txt)) != NULL)
	;	// a kimenet formaja: szocikk|C=6|H=12|O=6, ahol szocikk az elozo sorbeli fputs-bol jon
cikkveg();
//puts("");	// \n a keplet utan
return 0;
}
