#ifndef	OSSZEG_H

#define OSSZEG_H

#include <stdio.h>

struct elemstr {
	char vjel[3];	// vegyjel
	int darab;	// hanyszor szerepel
	};
#define	ESZAM	20
struct keplstr {
	short eszam;
	struct elemstr elem[ESZAM];
	};

extern char *vegyulet;  // nem szep, de legalabb csunya

//extern void osszeg(MYSQL_RES *result, FILE *alifp);		// osszeg.c, huosszeg.c
extern void elem(const char *keplet, int eszam, const char *vegyjel[], int eredm[]);	// elem.c
extern char *kepletstr(const char *keplet);	// elem.c

extern char *sub(char *okepl);			// sub.c	<sub>-os alak |..= -ve alakitasa
extern char *chemkiir(char *sor);		// chemkiir.c	{{chem|-es alak |..= -ve alakitasa

extern int okepl1(char *keplet);				// okepl1.c	valtoztatas helyben
extern int okepl2(const char *sorbe,struct keplstr *eredm);	// okepl2.c	felvitel listaba
extern int okepl(const char *keplet,int rendflg,char *eredm,int eredhossz);	// okepl.c
extern void keplrend(struct keplstr *kepl);			// okepl2.c	lista rendezese C, H, abc szerint
extern void keplrend2(struct keplstr *kepl);			// okepl2.c	lista rendezese Hill-keplet szerint
extern int keplkihossz(struct keplstr *eredm);			// okepl2.c	lista kiirasahoz kello tombb hossza
extern void okeplki(char *tomb,struct keplstr *);		// okepl2.c	lista kiirasa tombbe

extern int  vjelkeres(const char *vjel);	// vegyjel.c
extern void okepl1ki(const char *txt);		// okeplki.c
extern void okeplkiir(struct keplstr *kepl,int format);		// okeplkonv.c	kepletkiiras strukturabol
extern void okeplbe(char *eredm,const char *be);		// okeplkonv.c	H=2|O=1 -> H2O
extern void htmlkonv(char *str);				// okeplkonv.c	H<sub>2</sub>O -> H2O

extern void aliasnyit(const char *fnev);	// alias.c
extern void aliaszar(void);			// alias.c
extern char *alinev(const char *nev);		// alias.c

extern int paramkiir(char *sablon,int atomflg);			// paramkiir.c
extern char *zaroveg(char *str,const char *nyito, const char *zaro);    // paramkiir.c

extern char *kanname(char *str);	// kanname.c
extern void tisztit(char *str);		// tisztit.c
extern void tisztit2(char *str);	// tisztit.c
extern void tisztithash(char *str);	// tisztit.c
extern char *kezdobetu(char *vegy);	// kezdobetu.c
extern int kemsabl(char *sablnev);	// kemsabl.c

extern void ujcikk(void);		// sablfv.c
extern void cikkveg(void);		// sablfv.c

#endif
