#include <stdio.h>
#include <string.h>
#include <libgyim.h>
#include "osszeg.h"


static void kiir(char *nev);


int main(int argc, char *argv[])
{
FILE *fp;
char sor[300],vegkar,eloveg,*mut,*nev,*veg;	// a vegyuletnev eleje es vege

if(argc < 2)
	{
	fprintf(stderr,"Hivas: kemrend egybe_file\n");
	return 1;
	}
fp = filenyit(argv[1],"r");
while(fgets(sor,sizeof(sor),fp) != NULL)
	{
	vegvag(sor,"\n");	// ha nem lenne # a vegyuletnev utan
	if( (mut = strchr(sor,'#')) == NULL)
		{	// nincs benne vegyuletnev
		printf("#%s#%s",sor,sor);
		continue;
		}
	nev = ++mut;	// megvan a vegyuletnev
	if( (veg = strchr(mut,'#')) == NULL)
		veg = mut + strlen(mut);
	vegkar = *veg;
	*veg = 0;
//	puts(nev);
	mut = kezdobetu(nev);
	eloveg = *mut;
	*mut = 0;
	kiir(nev);
	*mut = eloveg;
	kiir(mut);
	*veg = vegkar;
	puts(sor);
	}
fclose(fp);
return 0;
}



static void kiir(char *nev)
{
static const char *gorog[] = { "α", "β", "γ", "δ", "ε", "ζ", },
	*angol[] = { "alfa", "beta", "gamma", "delta", "epszilon", "zeta" };
struct tobbszovstr tovabb;

while(tobbszov(nev,sizeof(gorog)/sizeof(char *),gorog,&tovabb) >= 0)
	{	// talaltunk gorog betut
	printf("%.*s%s",(int)(tovabb.kcim-nev),nev,angol[tovabb.srsz]);	// kiirjuk az elotte levo es a helyettesito szoveget
	nev = tovabb.vegcim;
	}
printf("%s#",nev);	// kiirjuk a szoveg fennmarado reszet
}
