#include <string.h>

int kemsabl(char *sablnev)
{	// megmondja, hogy a parameterkent kapott sablonnev kemiai infobox-e. 2=fosablon, 1=alsablon, 0=nem.
static const char chembox[] = "Chembox",
	*nevek[] = { chembox, "Chembox_new", "Chembox_új", "Drugbox", "Gyógyszeresdoboz", "Vegyület_infobox", "Infobox_drug", "Drug" };
int i;

for(i=0; i < sizeof(nevek)/sizeof(char *); i++)
	if(strcmp(sablnev,nevek[i]) == 0)
		return 2;
if(strlen(sablnev) >= sizeof(chembox)-1 && memcmp(sablnev,chembox,sizeof(chembox)-1) == 0)
	return 1;	// A nev Chembox-szal kezdodik
return 0;
}

#ifdef	MAIN

#include <stdio.h>

int main(int argc, char *argv[])
{
int ret;
static const char *retszoveg[] = { "nem", "alsablon", "fősablon" };

if(argc < 2)
	{
	fputs("Hivas: kemsabl sablonnev\n",stderr);
	return 1;
	}
else	{
	ret = kemsabl(argv[1]);
	printf("%-20s: %s\n",argv[1],retszoveg[ret]);
	}
return 0;
}

#endif
