#include <stdio.h>
#include <string.h>
#include "osszeg.h"

// kiirja a keplstr-beli osszegkepletet 3 formatum valamelyikeben
void okeplkiir(struct keplstr *kepl,int format)		// format=0: Hill, 1: html, 2: wiki
{
int i,szam;

for(i=0; i < kepl->eszam; i++)
	{
	fputs(kepl->elem[i].vjel,stdout);
	szam = kepl->elem[i].darab;
	switch(format)
		{
		case 0:	if(szam > 1)		// Hill
				printf("%d",szam);
			break;
		case 1:	if(szam > 1)		// html
				printf("<sub>%d</sub>",szam);
			break;
		case 2:	printf("=%d",szam);
			if(i+1 < kepl->eszam)
				putchar('|');
		}
	}
}


// Az en osszekeplet-formamrol visszaalakit az okepl szamara ertheto formara. Magyarul: egyhagyja a |-okat es =-ket, az 1-eket nem.
void okeplbe(char *eredm,const char *be)
{	// eredm legyen olyan hosszu, mint be, ha jobbat nem tudunk.
while(*be)
	{
	if(*be != '|' && *be != '=')
		*eredm++ = *be;
	be++;
	}
*eredm = 0;
}


void htmlkonv(char *str)
{	// H<sub>2</sub>SO<sub>4</sub> -> H2SO4
char *mut;

mut = str;
while( (mut=strstr(mut,"</sub>")) != NULL)
	memmove(mut,mut+6,strlen(mut)-5);	// 6 = strlen("</sub>");
mut = str;
while( (mut=strstr(mut,"<sub>")) != NULL)
	{
	//*mut++ = '=';
	//memmove(mut,mut+4,strlen(mut)-3);	// 4 = strlen("sub>"); A <-t felulirtuk =-vel.
	memmove(mut,mut+5,strlen(mut)-3);	// 5 = strlen("<sub>")
	}
}


#ifdef	MAIN

int main(int argc, char *argv[])
{
struct keplstr eredm;
int i;

if(argc < 2)
	{
	fputs("Hivas: okeplkonv osszegkeplet",stderr);
	return 1;
	}
i = okepl2(argv[1],&eredm);
if(i)	return i;

for(i=0; i<3; i++)
	{
	okeplkiir(&eredm,i);
	putchar('\n');
	}
return 0;
}

#endif
